Debian Bug report logs - #664612
wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'

version graph

Package: src:wu-ftpd; Maintainer for src:wu-ftpd is Chris Butler <chrisb@debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Mon, 19 Mar 2012 11:12:14 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version wu-ftpd/2.6.2-34

Fixed in version wu-ftpd/2.6.2-35

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#664612; Package src:wu-ftpd. (Mon, 19 Mar 2012 11:12:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-bsd@lists.debian.org, Debian QA Group <packages@qa.debian.org>. (Mon, 19 Mar 2012 11:12:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Mon, 19 Mar 2012 12:10:57 +0100
Package: src:wu-ftpd
Version: 2.6.2-34
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

x86_64-kfreebsd-gnu-gcc  -g -Wall -D_FILE_OFFSET_BITS=64  -O2 -I.. -I../support -c -o extensions.o extensions.c
extensions.c: In function 'check_newer':
extensions.c:204:4: warning: format '%qd' expects argument of type 'long long int', but argument 4 has type '__off_t' [-Wformat]
extensions.c:204:4: warning: format '%qd' expects argument of type 'long long int', but argument 5 has type '__time_t' [-Wformat]
extensions.c: In function 'msg_massage':
extensions.c:412:47: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
extensions.c:420:47: error: 'struct dqblk64' has no member named 'dqb_fsoftlimit'
extensions.c:428:47: error: 'struct dqblk64' has no member named 'dqb_curfiles'
extensions.c:437:12: error: 'struct dqblk64' has no member named 'dqb_btimelimit'
extensions.c:447:19: error: 'struct dqblk64' has no member named 'dqb_curfiles'
extensions.c:447:39: error: 'struct dqblk64' has no member named 'dqb_fsoftlimit'
extensions.c:448:12: error: 'struct dqblk64' has no member named 'dqb_ftimelimit'
extensions.c: In function 'show_message':
extensions.c:696:5: warning: suggest explicit braces to avoid ambiguous 'else' [-Wparentheses]
extensions.c:704:5: warning: suggest explicit braces to avoid ambiguous 'else' [-Wparentheses]
extensions.c: In function 'show_readme':
extensions.c:765:5: warning: suggest explicit braces to avoid ambiguous 'else' [-Wparentheses]
extensions.c:773:5: warning: suggest explicit braces to avoid ambiguous 'else' [-Wparentheses]
extensions.c: In function 'del_check':
extensions.c:1590:5: warning: suggest explicit braces to avoid ambiguous 'else' [-Wparentheses]
extensions.c: In function 'allow_retrieve':
extensions.c:1671:12: warning: variable 'len' set but not used [-Wunused-but-set-variable]
extensions.c: In function 'checknoretrieve':
extensions.c:1737:12: warning: variable 'len' set but not used [-Wunused-but-set-variable]
extensions.c: In function 'get_quota':
extensions.c:1906:10: warning: unused variable 'mnt_fsname' [-Wunused-variable]
make[2]: *** [extensions.o] Error 1


Full build log at
https://buildd.debian.org/status/fetch.php?pkg=wu-ftpd&arch=kfreebsd-amd64&ver=2.6.2-34&stamp=1332143034

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#664612; Package src:wu-ftpd. (Mon, 19 Mar 2012 11:48:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 19 Mar 2012 11:48:46 GMT) Full text and rfc822 format available.

Message #10 received at 664612@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: debian-bsd@lists.debian.org, 664612@bugs.debian.org
Subject: Re: Bug#664612: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Mon, 19 Mar 2012 11:47:22 +0000
On Mon, Mar 19, 2012 at 12:10:57PM +0100, Christoph Egger wrote:
> x86_64-kfreebsd-gnu-gcc  -g -Wall -D_FILE_OFFSET_BITS=64  -O2 -I.. -I../support -c -o extensions.o extensions.c

...

> extensions.c: In function 'msg_massage':
> extensions.c:412:47: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
> extensions.c:420:47: error: 'struct dqblk64' has no member named 'dqb_fsoftlimit'
> extensions.c:428:47: error: 'struct dqblk64' has no member named 'dqb_curfiles'
> extensions.c:437:12: error: 'struct dqblk64' has no member named 'dqb_btimelimit'
> extensions.c:447:19: error: 'struct dqblk64' has no member named 'dqb_curfiles'
> extensions.c:447:39: error: 'struct dqblk64' has no member named 'dqb_fsoftlimit'
> extensions.c:448:12: error: 'struct dqblk64' has no member named 'dqb_ftimelimit'
...

> make[2]: *** [extensions.o] Error 1
> 
> 
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=wu-ftpd&arch=kfreebsd-amd64&ver=2.6.2-34&stamp=1332143034

Thanks. Unfortunately this package is orphaned, and although I did
the QA upload to fix a (trivial) bug in the package, I'm not in a
position to fix this ensuing bug (though I will do what I can to help).

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#664612; Package src:wu-ftpd. (Mon, 19 Mar 2012 13:00:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 19 Mar 2012 13:01:09 GMT) Full text and rfc822 format available.

Message #15 received at 664612@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: debian-bsd@lists.debian.org, 664612@bugs.debian.org
Subject: Re: Bug#664612: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Mon, 19 Mar 2012 12:57:42 +0000
On Mon, Mar 19, 2012 at 11:47:22AM +0000, Dominic Hargreaves wrote:
> On Mon, Mar 19, 2012 at 12:10:57PM +0100, Christoph Egger wrote:
> > x86_64-kfreebsd-gnu-gcc  -g -Wall -D_FILE_OFFSET_BITS=64  -O2 -I.. -I../support -c -o extensions.o extensions.c
> 
> ...
> 
> > extensions.c: In function 'msg_massage':
> > extensions.c:412:47: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
> > extensions.c:420:47: error: 'struct dqblk64' has no member named 'dqb_fsoftlimit'
> > extensions.c:428:47: error: 'struct dqblk64' has no member named 'dqb_curfiles'
> > extensions.c:437:12: error: 'struct dqblk64' has no member named 'dqb_btimelimit'
> > extensions.c:447:19: error: 'struct dqblk64' has no member named 'dqb_curfiles'
> > extensions.c:447:39: error: 'struct dqblk64' has no member named 'dqb_fsoftlimit'
> > extensions.c:448:12: error: 'struct dqblk64' has no member named 'dqb_ftimelimit'
> ...
> 
> > make[2]: *** [extensions.o] Error 1
> > 
> > 
> > Full build log at
> > https://buildd.debian.org/status/fetch.php?pkg=wu-ftpd&arch=kfreebsd-amd64&ver=2.6.2-34&stamp=1332143034
> 
> Thanks. Unfortunately this package is orphaned, and although I did
> the QA upload to fix a (trivial) bug in the package, I'm not in a
> position to fix this ensuing bug (though I will do what I can to help).

Just to be clear; the change I made was to add a Depends to the resultant
binary package, and nothing which could have introduced this problem.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#664612; Package src:wu-ftpd. (Mon, 19 Mar 2012 15:06:03 GMT) Full text and rfc822 format available.

Message #18 received at 664612@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 664612@bugs.debian.org, Dominic Hargreaves <dom@earth.li>
Cc: control@bugs.debian.org
Subject: Re: Bug#664612: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Mon, 19 Mar 2012 16:03:50 +0100
found 664612 2.6.2-33
thanks

* Dominic Hargreaves <dom@earth.li>, 2012-03-19, 12:57:
>>Thanks. Unfortunately this package is orphaned, and although I did the 
>>QA upload to fix a (trivial) bug in the package, I'm not in a position 
>>to fix this ensuing bug (though I will do what I can to help).
>Just to be clear; the change I made was to add a Depends to the 
>resultant binary package, and nothing which could have introduced this 
>problem.

Right, the previous version FTBFS, too.

-- 
Jakub Wilk




Marked as found in versions wu-ftpd/2.6.2-33. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 19 Mar 2012 15:06:05 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 20 Mar 2012 20:48:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#664612; Package src:wu-ftpd. (Fri, 06 Apr 2012 20:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 06 Apr 2012 20:15:09 GMT) Full text and rfc822 format available.

Message #27 received at 664612@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 664612@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#664612: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Fri, 06 Apr 2012 21:10:37 +0100
[Message part 1 (text/plain, inline)]
reassign 664612 kfreebsd-kernel-headers 0.78
tags 664612 + patch
thanks

Hi,

Actually something in ufs/quota.h was causing a configure testcase --
for quota type -- to reach the wrong result ('file' instead of 'inode'
quotas;  config.log excerpt below).

The configure testcase includes sys/types.h before ufs/quota.h.  But
both u_int32_t and uint32_t are used there.

The attached patch hunk fixes this if appended to 004_stdint_h.diff.

> configure:6135: checking whether quota support is file- or inode based
> configure:6182: i486-kfreebsd-gnu-gcc -c -g -Wall -D_FILE_OFFSET_BITS=64  -O2  conftest.c >&5
> In file included from conftest.c:126:0:
> /usr/include/ufs/ufs/quota.h:129:2: error: unknown type name 'uint32_t'
> /usr/include/ufs/ufs/quota.h:130:2: error: unknown type name 'uint32_t'
> /usr/include/ufs/ufs/quota.h:131:2: error: unknown type name 'uint32_t'
> conftest.c: In function 'main':
> conftest.c:132:6: warning: unused variable 'f' [-Wunused-variable]
> configure:6182: $? = 1
> configure: failed program was:
> | /* confdefs.h */
> | #define PACKAGE_NAME ""
> | #define PACKAGE_TARNAME ""
> | #define PACKAGE_VERSION ""
> | #define PACKAGE_STRING ""
> | #define PACKAGE_BUGREPORT ""
> | #define PACKAGE_URL ""
> | #define STDC_HEADERS 1
> | #define TIME_WITH_SYS_TIME 1
> | #define AUTOCONF 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_DIRENT_H 1
> | #define HAVE_REGEX_H 1
> | #define HAVE_SHADOW_H 1
> | #define HAVE_SECURITY_PAM_APPL_H 1
> | #define HAVE_SYSLOG_H 1
> | #define HAVE_SYS_SYSLOG_H 1
> | #define HAVE_FCNTL_H 1
> | #define HAVE_MNTENT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_GLOB_H 1
> | #define HAVE_GRP_H 1
> | #define HAVE_SYS_DIR_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_BSD_BSD_H 1
> | #define HAVE_SYS_PARAM_H 1
> | #define HAVE_VALUES_H 1
> | #define HAVE_LIMITS_H 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_PATHS_H 1
> | #define HAVE_DIRFD 1
> | #define HAVE_FCHDIR 1
> | #define HAVE_FLOCK 1
> | #define HAVE_FTW 1
> | #define HAVE_GETCWD 1
> | #define HAVE_GETDTABLESIZE 1
> | #define HAVE_LSTAT 1
> | #define HAVE_VPRINTF 1
> | #define HAVE_SNPRINTF 1
> | #define HAVE_REGEXEC 1
> | #define HAVE_FGETSPENT 1
> | #define HAVE_GETUSERSHELL 1
> | #define HAVE_SETUID 1
> | #define HAVE_VSNPRINTF 1
> | #define HAVE_SNPRINTF 1
> | #define HAVE_STRCASESTR 1
> | #define HAVE_STRDUP 1
> | #define HAVE_STRERROR 1
> | #define HAVE_STRSEP 1
> | #define HAVE_STRSTR 1
> | #define HAVE_SYSLOG 1
> | #define HAVE_GLOB 1
> | #define HAVE_STRCASECMP 1
> | #define HAVE_STRNCASECMP 1
> | #define HAVE_SIGPROCMASK 1
> | #define HAVE_QUOTACTL 1
> | #define HAVE_GETRLIMIT 1
> | #define HAVE_SYSCONF 1
> | #define HAVE_SETSID 1
> | #define HAVE_MEMMOVE 1
> | #define HAVE_STRTOUL 1
> | #define HAVE_SETEUID 1
> | #define HAVE_SETEGID 1
> | #define HAVE_SIGLIST 1
> | #define QSORT_IS_VOID 1
> | #define NEED_VALUES_H 1
> | #define NBBY BITSPERBYTE
> | #define FACILITY LOG_FTP
> | #define HAVE_UT_UT_HOST 1
> | #define HAVE_UT_UT_EXIT_E_TERMINATION 1
> | #define HAVE_ST_BLKSIZE 1
> | #define GR_GID_FORMAT "u"
> | #define PW_UID_FORMAT "u"
> | #define L_FORMAT "qd"
> | #define T_FORMAT "u"
> | #define HAVE_SETUID 1
> | #define UPLOAD 1
> | #define OVERWRITE 1
> | #define HOST_ACCESS 1
> | #define LOG_FAILED 1
> | #define LOG_TOOMANY 1
> | #define DNS_TRYAGAIN 1
> | #define HAVE_UFS_UFS_QUOTA_H 1
> | /* end confdefs.h.  */
> |
> | #include <unistd.h>
> | #ifdef TIME_WITH_SYS_TIME
> | #include <sys/time.h>
> | #include <time.h>
> | #else
> | #ifdef HAVE_SYS_TIME_H
> | #include <sys/time.h>
> | #else
> | #include <time.h>
> | #endif
> | #endif
> | #ifdef HAVE_SYS_TYPES_H
> | #include <sys/types.h>
> | #endif
> | #ifdef HAVE_SYS_QUOTA_H
> | #include <sys/quota.h>
> | #else
> | #ifdef HAVE_LINUX_QUOTA_H
> | #include <linux/quota.h>
> | #endif
> | #endif
> | #ifdef HAVE_SYS_FS_UFS_QUOTA_H
> | #include <sys/fs/ufs/quota.h>
> | #endif
> | #ifdef HAVE_UFS_QUOTA_H
> | #include <ufs/quota.h>
> | #endif
> | #ifdef HAVE_JFS_QUOTA_H
> | #include <jfs/quota.h>
> | #endif
> | #ifdef HAVE_UFS_UFS_QUOTA_H
> | #include <ufs/ufs/quota.h>
> | #endif
> | struct dqblk quota;
> | int
> | main ()
> | {
> |  int f=quota.dqb_ihardlimit;
> |   ;
> |   return 0;
> | }
> configure:6188: result: file

Thanks!
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[stdint-ufs-quota.diff (text/x-patch, attachment)]

Bug reassigned from package 'src:wu-ftpd' to 'kfreebsd-kernel-headers'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 20:15:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions wu-ftpd/2.6.2-34 and wu-ftpd/2.6.2-33. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 20:15:12 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-kernel-headers/0.78. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 20:15:12 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 20:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664612; Package kfreebsd-kernel-headers. (Fri, 06 Apr 2012 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 06 Apr 2012 20:33:06 GMT) Full text and rfc822 format available.

Message #40 received at 664612@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 664612@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#664612: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Fri, 6 Apr 2012 22:30:19 +0200
[Message part 1 (text/plain, inline)]
reassign 664612 wu-ftpd
thanks

Hi Steven,

El 6 d’abril de 2012 22:10, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> The configure testcase includes sys/types.h before ufs/quota.h.  But
> both u_int32_t and uint32_t are used there.

Check upstream version of ufs/quota.h [1].  You can see that both
u_int32_t and uint32_t are prerequisites for this header.  The correct
solution is to include <stdint.h> before including <ufs/quota.h>.
Something like this (untested).

[1] http://svnweb.freebsd.org/base/head/sys/ufs/ufs/quota.h?revision=222955&view=markup

-- 
Robert Millan
[stdint.diff (application/octet-stream, attachment)]

Bug reassigned from package 'kfreebsd-kernel-headers' to 'wu-ftpd'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 20:33:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions kfreebsd-kernel-headers/0.78. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 20:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#664612; Package wu-ftpd. (Fri, 06 Apr 2012 20:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 06 Apr 2012 20:45:11 GMT) Full text and rfc822 format available.

Message #49 received at 664612@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 664612@bugs.debian.org, debian-bsd@lists.debian.org, dom@earth.li
Subject: Re: Bug#664612: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Fri, 06 Apr 2012 21:42:38 +0100
On 06/04/12 21:30, Robert Millan wrote:
> The correct
> solution is to include <stdint.h> before including <ufs/quota.h>.

Ah okay.  Tested with your stdint.diff for wu-ftpd and that works too.
Have also checked that it still builds ok on amd64 (GNU/Linux) with it
applied.

As the package is orphaned, who would be able to handle an upload?  Dominic?

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 06 Apr 2012 21:39:23 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 06 Apr 2012 21:39:24 GMT) Full text and rfc822 format available.

Message #54 received at 664612-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 664612-close@bugs.debian.org
Subject: Bug#664612: fixed in wu-ftpd 2.6.2-35
Date: Fri, 06 Apr 2012 21:37:19 +0000
Source: wu-ftpd
Source-Version: 2.6.2-35

We believe that the bug you reported is fixed in the latest version of
wu-ftpd, which is due to be installed in the Debian FTP archive:

wu-ftpd_2.6.2-35.debian.tar.gz
  to main/w/wu-ftpd/wu-ftpd_2.6.2-35.debian.tar.gz
wu-ftpd_2.6.2-35.dsc
  to main/w/wu-ftpd/wu-ftpd_2.6.2-35.dsc
wu-ftpd_2.6.2-35_kfreebsd-amd64.deb
  to main/w/wu-ftpd/wu-ftpd_2.6.2-35_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664612@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated wu-ftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Apr 2012 23:08:01 +0200
Source: wu-ftpd
Binary: wu-ftpd
Architecture: source kfreebsd-amd64
Version: 2.6.2-35
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 wu-ftpd    - powerful and widely used FTP server
Closes: 658461 659137 664612 666779
Changes: 
 wu-ftpd (2.6.2-35) unstable; urgency=low
 .
   * QA upload.
 .
   [ Robert Millan ]
   * Convert to 3.0 (quilt) source format.
   * kfreebsd_stdint.diff: Fix FTBFS on GNU/kFreeBSD.  (Closes: #664612)
 .
   [ Jeroen Schot ]
   * Dutch translation update. (Closes: #658461)
 .
   [ Beatrice Torracca ]
   * Add Italian translation. (Closes: #659137)
 .
   [ Michał Kułach ]
   * Polish translation update. (Closes: #666779)
Checksums-Sha1: 
 0491e22d222fe37aee58e01c4a7cfcc71d07420c 1255 wu-ftpd_2.6.2-35.dsc
 9716a7ec2da6782eb684e4453d434c9525f2c504 155054 wu-ftpd_2.6.2-35.debian.tar.gz
 4e9526013cf4ee7f555043c5c26b2938c314aa59 297334 wu-ftpd_2.6.2-35_kfreebsd-amd64.deb
Checksums-Sha256: 
 61dd94bbcd728791c8628cbec03ca47e18271a339d3f49d1110b764eb0f57100 1255 wu-ftpd_2.6.2-35.dsc
 9c68f0fcba36f79eef17c740539be37e9d09b642c610d5308ebcb7284287b439 155054 wu-ftpd_2.6.2-35.debian.tar.gz
 41d95bd27cc95250b3a33b6c3e49008cfba5a8815e0af64355d013b5d8c8e1ef 297334 wu-ftpd_2.6.2-35_kfreebsd-amd64.deb
Files: 
 e9159b24c3b85517a673e912dc359865 1255 net extra wu-ftpd_2.6.2-35.dsc
 9c5f9ad868bb9163a9cd2a73ff578637 155054 net extra wu-ftpd_2.6.2-35.debian.tar.gz
 f21b3a9bea076f1a2524073083ce9fc1 297334 net extra wu-ftpd_2.6.2-35_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk9/XTgACgkQC19io6rUCv+QCgCeKs+sNN/hwZ7SFZVJe97yRa7J
Z/gAniEiyYRY5OK9HrzJOcIluVpy/You
=mPZx
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#664612; Package wu-ftpd. (Fri, 06 Apr 2012 21:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 06 Apr 2012 21:45:11 GMT) Full text and rfc822 format available.

Message #59 received at 664612@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 664612@bugs.debian.org, debian-bsd@lists.debian.org, dom@earth.li
Subject: Re: Bug#664612: wu-ftpd: FTBFS[kfreebsd]: error: 'struct dqblk64' has no member named 'dqb_fhardlimit'
Date: Fri, 6 Apr 2012 23:17:24 +0200
El 6 d’abril de 2012 22:42, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> As the package is orphaned, who would be able to handle an upload?  Dominic?

Just uploaded, thanks for pointing out.

-- 
Robert Millan




Bug reassigned from package 'wu-ftpd' to 'src:wu-ftpd'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:58:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions wu-ftpd/2.6.2-35. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:58:07 GMT) Full text and rfc822 format available.

Marked as found in versions wu-ftpd/2.6.2-34 and reopened. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:58:07 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:58:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:58:09 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 23:09:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions wu-ftpd/2.6.2-35. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 23:09:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 23:09:04 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 06 Apr 2012 23:09:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 May 2012 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:23:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.